package market.resource;

import resource.util.ResourceManager;

public class MarketResourceManager extends ResourceManager {

    private static MarketResourceManager instance = null;

    protected MarketResourceManager() {
        addResourceModul (new ResourceModuleIcon());
        resourceRootPath = "market/resource";
    }

    public static MarketResourceManager getMRMInstance() {
        if (instance == null)
            instance = new MarketResourceManager();

        return instance;
    }


}