package market.statistics;

import data.ooimpl.CatalogImpl;

/**
 * Catalog that contains the article statistics of passed months as its items. Those items are
 * {@link CSalesStats}.
 */
public class CCompleteStats extends CatalogImpl {

    /**
     * @param s the name of this Catalog.
     */
    public CCompleteStats(String s) {
        super(s);
    }

    /**
     * Get method that handles the necessary contains the necessary try-catch block of the original
     * get-method.
     *
     * @param id the ID of the monthly statistics item to be returned.
     * @return a statistics item.
     */
    public CSalesStats get(String id) {
        try {
            return (CSalesStats)super.get(id, null, false);
        }
        catch (Exception e) {
            return null;
        }
    }
}