package market.stdform;

import javax.swing.JLabel;
import javax.swing.JPanel;

import sale.FormSheet;
import sale.FormSheetContentCreator;

/**
 * This is the default FormSheet of the SPCustomer, it displays a short welcome-message.
 */
public class FSCustomerDefault extends FormSheet{

    public FSCustomerDefault(){
        super("Willkommen",
                new FormSheetContentCreator(){
                    protected void createFormSheetContent(FormSheet fs) {
                        JPanel jp = new JPanel();
                        JLabel jl = new JLabel("<html><h1>Willkommen im Sohn & Sohn Gromarkt</h1>");
                        jp.add(jl);
                        fs.setComponent(jp);
                        fs.removeAllButtons();
                        fs.addButton("Einkaufen", ButtonIDs.BTN_BUY, null);
                        fs.addButton("Persnliche Daten", ButtonIDs.BTN_EDIT,null);
                    }
                },
                false);
    }
}
