package market.swing;

import javax.swing.JTextArea;

import market.CIArticle;

/**
 * The Area that contains information about CIArticles.
 */
public class JTADescriptionArea extends JTextArea {

    public JTADescriptionArea() {
        super();
        setRows(5);
        setLineWrap(true);
        setWrapStyleWord(true);
        setEditable(false);
    }

    /**
     * Updates the description area according to the description date of the passed CIArticle.
     * @param a the CIArticle from which the discription should be displayed.
     */
    public void setDescription(CIArticle a) {
        this.setText("Hersteller: " + a.getDescription()[0] + "\n\n" + a.getDescription()[1]);
    }
}