package market.resource;

import resource.util.ResourceManager;

public class ResourceModuleIcon implements ResourceManager.ResourceModul {



    /**
     * Returns the resource's file extension: "gif".
     *
     * @return the file extension
     */
    public String getExtension() {
        return "gif";
    }

    /**
     * Returns the path relative to the current resource path.
     *
     * @return the path.
     */
    public String getPath() {
        return "gif"; //market/resource/'gif'/icon.gif
    }

    /**
     * Returns the type name of the module. This is the name by which the resources are requested.
     *
     * @return the type name
     */
    public String getTypeName() {
        return "icon";
    }
}